Subject: Re: [PATCH 3/3] Teach git-index-pack how to keep a pack file.

From: Jakub Narebski <[email-masked]>
Date: Sun, 29 Oct 2006 11:49:17 +0100

Shawn Pearce wrote:

> +--keep::
> +       Before moving the index into its final destination
> +       create an empty .keep file for the associated pack file.
> +       This option is usually necessary with --stdin to prevent a
> +       simultaneous gitlink:git-repack[1] process from deleting
> +       the newly constructed pack and index before refs can be
> +       updated to use objects contained in the pack.
> +
> +--keep='why'::
> +       Like --keep create a .keep file before moving the index into
> +       its final destination, but rather than creating an empty file
> +       place 'why' followed by an LF into the .keep file.  The 'why'
> +       message can later be searched for within all .keep files to
> +       locate any which have outlived their usefulness.

Wouldn't it be better to use 'git-index-pack', perhaps with source URL if
possible, as the default 'why'?
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git